/* Default CSS */
/* Generated for style on kittycats */

@import url("https://fonts.googleapis.com/css?family=Tangerine|Gluten|Shadows Into Light Two");

* {
    margin: 0;
    box-sizing: border-box;
}

/* BODY CONTENT */
body {
    margin: 0;
    background: #f9f9f9;
    font-size: 100%;
    font-family: Comic Sans MS, sans-serif;
}
h1 {
   font-family: Shadows Into Light Two, sans-serif;
   font-size: 2.5em;
   font-weight: bold;
   color: #333;
}
h2 {
   font-family: Gluten, sans-serif;
   font-size: 2.1em;
   font-variant: small-caps;
   color: #333;
}
h3 {
   font-family: Tangerine;
   font-size: 1.9em;
   color: rgba(50, 25, 105, 0.7);
}
h4, h5 {
	font-size: 70%;
	font-family: Arial, sans-serif;
	font-variant: small-caps;
	color: #333;
}
a { 
	background-color: transparent; 
	text-decoration: none;
}
a:link, a:active { color: white;}
a:visited, a:hover { color: pink;}

/* Page Grid */
#wrapper {
    display: grid;
    grid-template-areas: 
        "header header logo"
        "nav nav nav"
        "content content sidebar"
        "news news news"
        "footer footer footer";
    grid-template-columns: 1fr min(52rem, 100%) 1fr;
    gap: 5px;
}
#wrapper > section {
    margin: 0 auto;
    padding: 10px;
}
#header {
    grid-area: header;
    width: 80%;
    max-height: 320px;
    color: #fff;
}
#header .title {
    color: #333939;
    background-color: rgb(64, 224, 208);
    background-image: url('assets/pattern.png');    
}
.page-title {
    width: 75%;
    font-size: cal(0.25);
    text-align: center;
}
#logo {
    grid-area: logo;
    float: right;
    max-width: 320px;
}
.page-logo {
    padding: 2px 2px 
}
.caption {
    float: right;
    width: 60%;
    height: auto;   
    text-align: justify;
    color: #f1f1f1;   
    background-color: #b72020; 
}
#content {
    grid-area: content;
    min-height: 600px;
    min-width: 500px;
}
nav {
    grid-area: nav;
    margin: 0 auto;
    width: 100%;
}
aside {
    grid-area: sidebar;
    float: right;
    width: 360px;
}
#news {
    grid-area: news;
    margin: 0 auto;
    width: 1040px;
    text-align: center;
}
#footer {
    grid-area: footer;
    width: 100%;
    color: #fff;
    background-color: #000;
    text-align: center;
}
.footer {
    padding: 10px 20px;
}
.footer a {
    text-decoration: none;
}
.footer a:hover {
    color: #000;
    background-color: rgba(93, 43, 172, 0.3);
}
@media only screen and (max-width: 680px) {
    #header {grid-area: 1 / span 4;}
    .page-logo {display: none;}
    #content {grid-area: 3 / span 4;}
    nav {grid-area: 4 / span 4;}
    aside {grid-area: 5 / span 4;}
    #header {grid-area: 6 / span 4;}
}

/* SIDEBAR & FORM CONTENT */
.sidebar-title {
    padding: 2px 10px;
    font-size: 22px;
}
form {
    width: 100%;
    padding: 9px;
}
input, select {
    padding: 2px 5px;
    margin-bottom: 7px;
    border-radius: 3px;
    background-color: #afeeee;
    border: 1px solid #321969;
}
input:focus {
    background-color: rgb(100, 195, 225);
}
label {
    margin: 3px;
}

/*  NAV BAR CONTENT */
.topnav {
    overflow: hidden;
    background-color: #13002c;
}
.topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
}
.topnav a:active {
    background-color: rgb(64, 224, 208);
    color: white;
}
.topnav .icon {
    display: none;
}
.dropdown {
    float: left;
    overflow: hidden;
}
.dropdown .dropbtn {
    font-size: 17px;    
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: rgb(50, 25, 105, 0.25);
    margin: 0;
}
.dropdown-content {
    display: none;
    position: absolute;
    min-width: 160px;
    color: #321969;
    background-color: #f9f9f9;    
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}
.dropdown-content a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}
.topnav a:hover, .dropdown:hover .dropbtn {
    background-color: #555;
    color: white;
}
.dropdown-content a:hover {
    background-color: #ddd;
    color: black;
}
.dropdown:hover .dropdown-content {
    display: block;
}
.fa-solid {
	margin: 0;
	padding: 5px 10px;
}
@media screen and (max-width: 600px) {
  .topnav a:not(:first-child), .dropdown .dropbtn {
    display: none;
  }
  .topnav a.icon {
    float: right;
    display: block;
  }
}
@media screen and (max-width: 600px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
  .topnav.responsive .dropdown {float: none;}
  .topnav.responsive .dropdown-content {position: relative;}
  .topnav.responsive .dropdown .dropbtn {
    display: block;
    width: 100%;
    text-align: left;
  }
}

/*  CARD PROFILES FEATURED SECTION */
/* Three image containers (use 25% for four, and 50% for two, etc) */
.recessive {
    border: none;
    margin: 5px 10px;
}
.row {
    padding: 10px 15px;
    text-align: center;
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.5);
}
.column {
    float: left;
    width: 33.33%;
    margin-bottom: 16px;
    padding: 0px 10px;
    border-right: 2px dotted rgba(0, 0, 0, 0.25);
}
.column:last-child {
    border-right: none;
}
.column img {
    margin: 0;
    padding: 5px 10px 35px 10px;
    border: 2px solid rgba(105, 100, 100, 0.5);
}
/* Clear floats after image containers */
.row::after {
    content: "";
    clear: both;
    display: table;
}
@media screen and (max-width: 650px) {
    .column {
        width: 100%;
        display: block;
    }
}
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

/*  EXTRA CONTENT */
.teal {
    color: #fff;
    background-color: rgb(64, 224, 208);
}
.purple {
    color: #fff;
    background-color: rgba(50, 25, 105, 0.7);
}
.button, .button:hover {
    display: inline-block;
    padding: 8px 16px;
    color: inherit;
    text-align: center;
    text-decoration: none;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    vertical-align: middle;
    overflow: hidden;
    white-space: nowrap;
}
/* Social Media Iconic Color */
.dropdown-content .fa,
.dropdown-content .fas,
.dropdown-content .fab,
.dropdown-content .fa-solid {
    color: #321969;
    background-color: #f9f9f9;    
}
.fa, .fas, .fab, .fa-solid {
    color: #f9f9f9;
    padding: 5px 10px;
}
.fa-facebook:hover {
    background: #1877F2;
    color: #fff;
}
.fa-discord:hover {
    background: #5865f2;
    color: #fff;
}
.fa-flickr:hover {
    background: linear-gradient(to left, #002aff 50%, #ff009d 50%);
    color: #fff;
}
.fa-wordpress:hover {
    background: #00749C;
    color: #fff;
}

/* KITTY IMAGE & FEATURES */
#img-kitty {
    display: block;
    padding: 9px 10px;
}
#img-kitty img {
    position: absolute;
    width: 400px;
    height: 540px;
    padding: 10px 20px;
}
#gender {
    background-color: #f1f1f1;
    border: 9px solid;
    z-index: -99;
}
#name {
    display: none;
    position: relative;
    top: 550px;
    left: 80px;
    padding: 15px 25px;
    color: #f1f1f1;
    background: rgba(0, 0, 0, 0.5); /* Black see-through */
    font-size: 24px;
    text-align: center;
    text-shadow: 1px 1px 2px black;
    border-radius: 5px;
    min-height: 25px;
    max-height: 50px;
    max-width: 250px;
    z-index: 1;
    transition: .5s ease;
    opacity: 2;
}
#box {
    visibility: hidden;
    z-index: -1;
}
#RolliePollie {
    display: none;
    opacity: 0;
    pointer-events: none;
}
/* /END KITTY */